Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061453 - perl516 meta package should include LICENSE, README and perl516 man page files
Summary: perl516 meta package should include LICENSE, README and perl516 man page files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: perl
Version: perl516
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 1.1
Assignee: Jitka Plesnikova
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On:
Blocks: 1061439 1082031
TreeView+ depends on / blocked
 
Reported: 2014-02-04 21:04 UTC by Honza Horak
Modified: 2014-06-04 07:24 UTC (History)
3 users (show)

Fixed In Version: perl516-1.1-3.el7
Doc Type: Enhancement
Doc Text:
Feature: Meta package of perl516 software collection includes the following files now: * LICENSE file with proper license text for meta package's license * README file with perl516 collection description, usage and examples * perl516.7 man page, which is located under /opt/rh and contains information related to perl516 collection -- description, usage and examples The files are part of perl516-runtime
Clone Of:
Environment:
Last Closed: 2014-06-04 07:24:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
README template with some grammar corrections (deleted)
2014-02-12 15:06 UTC, Honza Horak
no flags Details
README template with some grammar corrections (deleted)
2014-02-12 15:13 UTC, Honza Horak
no flags Details
README template with some grammar corrections (deleted)
2014-02-12 15:45 UTC, Honza Horak
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0613 normal SHIPPED_LIVE perl516 bug fix and enhancement update 2014-06-04 10:59:05 UTC

Description Honza Horak 2014-02-04 21:04:39 UTC
Meta package of perl516 software collection should include the following files:
* LICENSE file with proper license text for meta package's license
* README file with perl516 collection description, usage and examples
* perl516.7 man page, which is located under /opt/rh and contains information related to perl516 collection -- description, usage and examples

The tracking bug 1061439 proposes a generic way how to use RPM macros in the README file, how such file can be structured and also cointains an example how to generate the man page from such a README file. See bug 1061439 for more information.

Proposed content of the README file, generated for perl516 collection (please check and change things specific for perl516 collection), where RPM macros are used (see tracking bug 1061439 how to expand them in the spec file):
------------------------------------------
Package %{scl_name} provides Perl programming language delivered using Software
Collections concept. For more information about Software Collections
concept, read scl(1). By installing %{scl_name} collection, you will get
the minimum working set of packages to have working Perl programming language.

Usage: scl enable %{scl} 'perl'

Software Collections concept allows to build and execute applications
which are not located in the filesystem root hierarchy but are present
in an alternative location, which is %{scl_prefix}
in case of %{scl_name} collection.

Perl is a high-level programming language with roots in C, sed, awk and shell
scripting.  Perl is good at handling processes and files, and is especially
good at handling text.  Perl's hallmarks are practicality and efficiency.
While it is used to do a lot of different things, Perl's most common
applications are system administration utilities and web programming.  A large
proportion of the CGI scripts on the web are written in Perl.

When working with %{scl_name} collection, use scl utility (see scl(1)
for usage) to enable scl environment properly.

Configuration for the %{scl_name} software collection is located under %{_sysconfdir}.

Examples:
scl enable %{scl_name} 'command --arg'
  Run a specific command with argument --arg within %{scl_name} software collections
  environment.

scl enable %{scl_name} 'perl'
  Run perl from %{scl_name} software collection.

scl enable %{scl_name} bash
  Run interactive shell where %{scl_name} software collection is enabled.

scl enable %{scl_name} 'man perl'
  Show man pages for perl command, which is part of the %{scl_name} software
  collection.

Comment 1 Honza Horak 2014-02-10 20:25:49 UTC
FYI, tracking bug #1061439 now contains adjusted and a bit simplified patch to generate man page from the README file attached here.

After discussion, it seems better to generate the man page in %build section, provide meaningful version in the man page and include notice about reporting bugs.

It was also agreed that the version of meta package should correspond with version of the RHSCL.

Comment 2 Honza Horak 2014-02-12 15:06:03 UTC
Created attachment 862370 [details]
README template with some grammar corrections

There were some grammar issues in the original README template. This is a grammar correction of the general README template from Petr Kovar:
http://etherpad.corp.redhat.com/XYVrBLTLow

And README template for perl516 is attached.

Comment 3 Honza Horak 2014-02-12 15:13:22 UTC
Created attachment 862373 [details]
README template with some grammar corrections

Report bugs to <http://bugzilla.redhat.com>. ... added to the end.

Comment 4 Honza Horak 2014-02-12 15:45:43 UTC
Created attachment 862393 [details]
README template with some grammar corrections

Few grammar fixes more.

Comment 10 errata-xmlrpc 2014-06-04 07:24:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0613.html


Note You need to log in before you can comment on or make changes to this bug.